---
sidebar_position: 12
description: Make action button and other functions to work with VKTeams in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VKTeams]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Make action button
 Forms an action button for the message keyboard



`Function MakeActionButton(Val Text, Val Value = "", Val URL = "", Val Style = "base") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Text | --text | String | &#x2714; | Button text |
  | Value | --data | String | &#x2716; | The value returned in the event. Only if the URL is not filled |
  | URL | --url | String | &#x2716; | URL to create the page open button. Only if the Value is not filled in |
  | Style | --style | String | &#x2716; | Button style: primary, attention or base |

  
  Returns:  Structure - Button for keyboard

:::tip
Used for `SendTextMessage` function
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Keyboard         = New Array;
    ButtonsLineArray = New Array;

    ButtonsLineArray.Add(OPI_VKTeams.MakeActionButton("Button1", "ButtonEvent1", , "attention"));

    ButtonsLineArray.Add(OPI_VKTeams.MakeActionButton("Button2", , "https://openintegrations.dev"));

    Keyboard.Add(ButtonsLineArray);
    Keyboard.Add(ButtonsLineArray);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            oint vkteams MakeActionButton \
             --text "Button2" \
             --url "https://openintegrations.dev"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            oint vkteams MakeActionButton ^
             --text "Button2" ^
             --url "https://openintegrations.dev"
        ```
    </TabItem>
</Tabs>


```json title="Result"
[
 [
  {
   "text": "Button1",
   "callbackData": "ButtonEvent1",
   "style": "attention"
  },
  {
   "text": "Button2",
   "url": "https://openintegrations.dev",
   "style": "base"
  }
 ],
 [
  {
   "text": "Button1",
   "callbackData": "ButtonEvent1",
   "style": "attention"
  },
  {
   "text": "Button2",
   "url": "https://openintegrations.dev",
   "style": "base"
  }
 ]
]
```
